<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('credit_configurations', function (Blueprint $table) {
            $table->id();
            $table->integer('chatbot_conversation_credit')->default(0);
            $table->integer('chatbot_url_training_credit')->default(0);
            $table->integer('chatbot_pdf_training_credit')->default(0);
            $table->integer('chatbot_plain_text_training_credit')->default(0);
            $table->integer('chatbot_qa_training_credit')->default(0);
            $table->integer('branding_remove_credit')->default(0);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('credit_configurations');
    }
};
